package com.qiaoba.auth.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 在线用户
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/25 17:05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OnlineUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备号 暂用UUID
     */
    private String deviceSn;

    /**
     * 登录账号
     */
    private String username;

    /**
     * 用户名称
     */
    private String nickname;

    /**
     * 登录IP地址
     */
    private String ip;

    /**
     * 登录地点
     */
    private String address;

    /**
     * 浏览器类型
     */
    private String browser;

    /**
     * 操作系统
     */
    private String os;

    /**
     * 登录时间
     */
    private Date loginTime;
}
