package com.qiaoba.common.base.constants;

/**
 * 配置常量
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
public class ConfigConstant {

    /**
     * 参数管理 cache key 前缀
     */
    public static final String SYS_CONFIG_KEY_PREFIX = "sys_config:";

    /**
     * 参数配置-Token有效期
     */
    public static final String TOKEN_EXPIRE_TIME_KEY = SYS_CONFIG_KEY_PREFIX + "sys.token.expireTime";

    /**
     * 参数配置-允许同时在线
     */
    public static final String ALLOW_BOTH_ONLINE_KEY = SYS_CONFIG_KEY_PREFIX + "sys.account.allowBothOnline";

    /**
     * 参数配置-系统注册开关
     */
    public static final String REGISTER_ON_OFF_KEY = SYS_CONFIG_KEY_PREFIX + "sys.account.registerUser";

    /**
     * 参数配置-验证码开关
     */
    public static final String CAPTCHA_ON_OFF_KEY = SYS_CONFIG_KEY_PREFIX + "sys.account.captchaOnOff";

    /**
     * 参数配置-黑名单开关
     */
    public static final String BLACKLIST_ON_OFF_KEY = SYS_CONFIG_KEY_PREFIX + "sys.account.blacklistOnOff";

    /**
     * 参数配置-黑名单过期时间(拉黑时间), 单位：分钟
     */
    public static final String BLACKLIST_EXPIRE_TIME_KEY = SYS_CONFIG_KEY_PREFIX + "sys.account.blacklistExpireTime";

    /**
     * 参数配置-登陆最大错误次数
     */
    public static final String LOGIN_ERROR_MAX_COUNT_KEY = SYS_CONFIG_KEY_PREFIX + "sys.account.loginErrorMaxCount";

    /**
     * 开
     */
    public static final String COMMON_ON_VALUE = "true";

    /**
     * 关
     */
    public static final String COMMON_OFF_VALUE = "false";

    /**
     * 默认最大允许错误次数
     */
    public static final Integer DEFAULT_LOGIN_ERROR_MAX_COUNT = 5;

    /**
     * 默认最大黑名单过期时间(单位分钟)
     */
    public static final Long DEFAULT_MAX_BLACKLIST_EXPIRE_TIME = 30L;
}
