package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysDictType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 字典类型管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
public interface SysDictTypeMapper extends BaseMapper<SysDictType> {

    /**
     * 校验字典类型是否唯一
     *
     * @param dict 字典类型
     * @return dictType
     */
    String checkDictTypeUnique(SysDictType dict);

    /**
     * 校验是否允许删除
     *
     * @param ids ids
     * @return typeName
     */
    String checkAllowDelete(@Param("list") List<String> ids);
}
