package com.qiaoba.module.system.service;


import com.qiaoba.api.system.entity.SysDictType;
import com.qiaoba.api.system.entity.param.SysDictTypeParam;
import com.qiaoba.common.database.entity.PageQuery;
import com.qiaoba.common.database.entity.TableDataInfo;

import java.util.List;

/**
 * 字典类型管理 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
public interface SysDictTypeService {

    /**
     * 新增
     *
     * @param sysDictType sysDictType
     * @return 结果
     */
    int insert(SysDictType sysDictType);

    /**
     * 修改
     *
     * @param sysDictType sysDictType
     * @return 结果
     */
    int update(SysDictType sysDictType);

    /**
     * 批量删除
     *
     * @param ids ids
     * @return 结果
     */
    int deleteByIds(List<String> ids);

    /**
     * 通过ID查询
     *
     * @param dictId dictId
     * @return SysDictType
     */
    SysDictType selectById(String dictId);

    /**
     * 分页查询
     *
     * @param param     param
     * @param pageQuery pageQuery
     * @return list
     */
    TableDataInfo selectPageList(SysDictTypeParam param, PageQuery pageQuery);

    /**
     * 参数查询列表
     *
     * @param param param
     * @return list
     */
    List<SysDictType> selectList(SysDictTypeParam param);

}
