package com.qiaoba.module.tenant.service;

import com.qiaoba.module.tenant.entity.SysTenantDatasource;
import com.qiaoba.module.tenant.entity.param.SysTenantDatasourceParam;

import java.util.List;

/**
 * 租户数据源 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/7 14:48
 */
public interface SysTenantDatasourceService {

    /**
     * 查询租户的主要数据源
     *
     * @param tenantId 租户ID
     * @return 数据源
     */
    SysTenantDatasource selectPrimary(String tenantId);

    /**
     * 新增
     *
     * @param sysTenantDatasource sysTenantDatasource
     * @return 结果
     */
    int insert(SysTenantDatasource sysTenantDatasource);

    /**
     * 修改
     *
     * @param sysTenantDatasource sysTenantDatasource
     * @return 结果
     */
    int updateById(SysTenantDatasource sysTenantDatasource);

    /**
     * 批量删除
     *
     * @param ids ids
     * @return 结果
     */
    int deleteByIds(List<String> ids);

    /**
     * 查询租户的所有数据源
     *
     * @param tenantId tenantId
     * @return list
     */
    List<SysTenantDatasource> selectList(String tenantId);

    /**
     * 查询租户数据源
     *
     * @param param 条件
     * @return list
     */
    List<SysTenantDatasource> selectList(SysTenantDatasourceParam param);

    /**
     * 查询所有数据源模式的租户ID
     *
     * @return tenantIds
     */
    List<String> selectTenantIds();
}
